# GCC_NodeRecord Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_NodeRecord:

List of all members.

## Public Types

enum | OptionalFields { e_superiorNode, e_nodeName, e_participantsList, e_siteInformation, e_networkAddress, e_alternativeNodeID, e_userData }

## Public Member Functions

| GCC_NodeRecord (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_UserID | m_superiorNode
GCC_NodeType | m_nodeType
GCC_NodeProperties | m_nodeProperties
GCC_TextString | m_nodeName
GCC_ArrayOf_TextString | m_participantsList
GCC_TextString | m_siteInformation
GCC_NetworkAddress | m_networkAddress
GCC_AlternativeNodeID | m_alternativeNodeID
GCC_UserData | m_userData

## Member Enumeration Documentation

enum GCC_NodeRecord::OptionalFields

Enumerator:

  e_superiorNode |
  e_nodeName |
  e_participantsList |
  e_siteInformation |
  e_networkAddress |
  e_alternativeNodeID |
  e_userData |

## Constructor & Destructor Documentation

GCC_NodeRecord::GCC_NodeRecord | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_NodeRecord::GetDataLength | ( |  | ) | const

PBoolean GCC_NodeRecord::Decode | ( | PASN_Stream & | strm | ) |

void GCC_NodeRecord::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_NodeRecord::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_NodeRecord::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_NodeRecord::Clone | ( |  | ) | const

## Member Data Documentation

GCC_UserID GCC_NodeRecord::m_superiorNode

GCC_NodeType GCC_NodeRecord::m_nodeType

GCC_NodeProperties GCC_NodeRecord::m_nodeProperties

GCC_TextString GCC_NodeRecord::m_nodeName

GCC_ArrayOf_TextString GCC_NodeRecord::m_participantsList

GCC_TextString GCC_NodeRecord::m_siteInformation

GCC_NetworkAddress GCC_NodeRecord::m_networkAddress

GCC_AlternativeNodeID GCC_NodeRecord::m_alternativeNodeID

GCC_UserData GCC_NodeRecord::m_userData

The documentation for this class was generated from the following file:

- gcc.h